// murx.hxx - part of the murx project
//
// (c) 2004 by Kai Hildebrandt, Thomas Stauss
//
// ---------------------------------------------------------------------
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
// USA.
//
// ---------------------------------------------------------------------

#ifndef __MURX_HXX_
#define __MURX_HXX_


// contants
namespace Murx
{
    // possible return values of command line interface
    const int SUCCESS       =  0;
    const int IO_ERROR      = -1;
    const int PARSE_ERROR   = -2;
    const int NETWORK_ERROR = -3;
    const int AUTH_ERROR    = -4;
    const int ABORTED       = -5;
    
} // namespace Murx

#endif /* __MURX_HXX_ */
