// SIGALRMHandler.hxx - part of the murx project
//
// (c) 2005 Kai Hildebrandt
//
// ---------------------------------------------------------------------
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
// USA.
//
// ---------------------------------------------------------------------


#ifndef MURX_SIGALRMHANDLER_HXX
#define MURX_SIGALRMHANDLER_HXX

#include <csetjmp>   // sigjmp_buf

#include "EventHandler.hxx"


namespace Murx
{
    class SIGALRMHandler : public EventHandler
    {
    public:
        SIGALRMHandler()  {}
        ~SIGALRMHandler() {}

        // hook method
        virtual int handle_signal (int signum);

        static sigjmp_buf* get_curr_env();

    private:
        static sigjmp_buf curr_env;
    };
}

#endif /* MURX_SIGALRMHANDLER_HXX */
